Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.userproperty
Class DefaultUserPropertyMapper

    java.lang.Object
      com.bea.wsrp.consumer.userproperty.AbstractUserPropertyMapper
          com.bea.wsrp.consumer.userproperty.DefaultUserPropertyMapper

All Implemented Interfaces
  UserPropertyMapper

    public class DefaultUserPropertyMapper

extends AbstractUserPropertyMapper

The default mapper which can map the folowing:

- Map a property to a constant value - key is `propertySetName.propertyName`. Value is inside of quotes (")
- Map a property to another property - key is `propertySetName.propertyName`. Value is `propertySetName.propertyName`
- Map a property set to another property set - key is `propertySetName.*`. Value is `propertySetName.*`.

You may overide this class to do default mapping and then perform your own custom mapping.

Constructor Summary
`DefaultUserPropertyMapper()`

Method Summary
`Collection<UserProperty>` | `mapProperties(RequiredUserProperties requiredProperties, Map<String,String> map, EntityPropertyCache profile)` Map the consumer's properties (profile) to the producer's (return).

Methods inherited from class com.bea.wsrp.consumer.userproperty.AbstractUserPropertyMapper
`addUserProperty, addUserProperty, addUserProperty, addUserProperty, addUserProperty, addUserProperty, addUserProperty, addUserProperty, addUserProperty, getProperty, isPropertySetMapping, mapProperty, mapPropertySet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUserPropertyMapper

    public DefaultUserPropertyMapper()

Method Detail

### mapProperties

    public Collection<UserProperty> mapProperties(RequiredUserProperties requiredProperties,
                                                  Map<String,String> map,
                                                  EntityPropertyCache profile)

  Map the consumer's properties (profile) to the producer's (return).

  Generally the map will be as follows:

  - Map a property to a constant value - key is propertySetName.propertyName - value is inside of quotes (")
  - Map a property to another property - key is propertySetName.propertyName - value is propertySetName.propertyName
  - Map a property set to another property set - key is propertySetName.* - value is propertySetName.*

  However if you extend this class, you may use whatever format strings your mapper understands. If you wish to perform default mapping for some properties and custom mapping for others: Override this method call `Collection properties = super.getProducerPropertiesProperties(requiredProperties, map, profile)` The call `addUserPropery(properties, propertySetName, propertyName, value)` as needed.

  Parameters
    `requiredProperties` - the properties requested by the producer
    `map` - A map where the key is the producer's name and the value is the consumer's name
    `profile` - the User's profile on the consumer
  Returns
    the properties mapped to the producer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.